Author Topic: Website Baker and PHP 5.6  (Read 3608 times)

Offline melissa

  • Posts: 168
Website Baker and PHP 5.6
« on: November 14, 2015, 09:39:15 PM »
My web host (HostMonster) is auto upgrading all PHP to 5.6. I have a lot of WB 2.8.3 SP1 sites and they failed on the upgrade to PHP 5.6.

Can anyone advise me if upgrading to SP3 or SP4 will make WB work in PHP 5.6?

Many thanks,

Melissa

Offline Martin Hecht

  • Betatester
  • **
  • Posts: 586
  • Gender: Male
    • meine Homepage
Re: Website Baker and PHP 5.6
« Reply #1 on: November 14, 2015, 09:53:34 PM »
I can tell that I had to upgrade to php 5.5 which required sp4 and a few updates of the modules. I'm not sure if further changes are needed with 5.6, but I would say you need at least sp4. What concerns the modules: The ones which are still maintained (i.e. were updated during last year) should be ready for the php update.

Offline hgs

  • Betatester
  • **
  • Posts: 1116
    • EFG MG
Re: Website Baker and PHP 5.6
« Reply #2 on: November 15, 2015, 07:36:01 AM »

I have quite a few websites with PHP 5.6 and WB 2.8.3 SP4 and SP5 active. If the modules are up to date, it should work.
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline melissa

  • Posts: 168
Re: Website Baker and PHP 5.6
« Reply #3 on: November 18, 2015, 02:45:56 AM »
Hi Martin and hgs,

Thankyou for your replies.

With modules, the main one is FCKEditor.

I don't think I have any others, just standard WB.

Melissa

Offline Martin Hecht

  • Betatester
  • **
  • Posts: 586
  • Gender: Male
    • meine Homepage
Re: Website Baker and PHP 5.6
« Reply #4 on: November 18, 2015, 06:54:19 AM »
Hi Melissa

since hgs also has sp4 installations running on php5.6 you should upgrade to that level.
- get the sp4 package (you don't need the full installer, just the service pack) from the download page,
- backup your files and database (and droplets, if you have some own ones),
- unpack the service pack and upload the just unpacked files
- login as super administrator (the first account which was created during installation, there might be other accounts with admin rights which are not able to proceed here) and run the upgrade script (which should show up right after logging in)
- then upgrade the php version (or let your webhoster do this)
here are the release notes for sp4 http://forum.WebsiteBaker.org/index.php/topic,28357.0.html

in the addons repository, sp5 is also available already, but it's still in release testing phase http://forum.WebsiteBaker.org/index.php/topic,28760.0.html

best regards,
Martin

Offline jacobi22

  • Posts: 5863
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Website Baker and PHP 5.6
« Reply #5 on: November 18, 2015, 02:20:32 PM »
Hi Melissa,

WB works also in PHP 5.6.x and PHP 7 (actual beta 7.0.0.RC7)

for the FCKeditor... some users reported problems with the FCK together with the Internet Explorer 11 (newer not testet). It works for me, if i add my used Adress into the list for the compatible mode in IE11 (see IE11-settings)

for WB, you have to know, that WB use the Charset UTF8 since WB 2.8.3 SP4 as Standard Charset, so if you dont use the same charset in your working WB, its possible, that some entrys needs a correction (text-fields in page-settings for keywords and description, text-fields in WB-Settings etc)

i recommend a test with the latest wb-package, maybe in a subfolder of you installation with the same database
if interest,
- download the latest package from here and unpack the files in a empty locale folder
- download the lastest SP5-Test from here and unpack the files in the same locale folder - be sure, that you overwrite all existed files
- delete the folders install and pages and also the files config.php and upgrade-script.php
- copy the folder pages from your working WB into the the folder with the new WB-Version
- copy the config.php from your working WB into the folder with the new WB-Version
- add in your working WB a new subfolder, called "wbtest" or whatever you want
- change the WB_URL in the copied config.php of the new wb-test-package, add there the foldername from your testfolder on the right place, example:
working WB-Adress: http://yourdomain.com
foldername of the test folder: wbtest
new WB_URL in config.php of the test package: http://yourdomain.com/wbtest

now copy all the files from your locale folder into the new added wbtest-folder on the server.
to make this job faster, build a zip from the complete package in your locale folder, upload this to the online test folder and use a standard unzip file in the attachement to unpack the package (select the WB-Package-zip and click on the unzip-button, if the script is finish, it sends a succsess-message, delete the unzip.php, if you are finish)
for a standard wb-package it needs maybe 20-30 sec to unpack the zip, a backup-zip from a bigger project (over 100 mb incl. media files) needs a little bit more
the forum here accept only zip-files, so its needed to unzip the unzip.php first  :wink:
to test all this, called in the browser with the new WB_URL.
Avoid to make changes in the content of the test-WB, because it use the database of the working wb
but its needed for a test to enable the PHP-Error Messages in the WB-Settings -> Advanced Settings
Use there a Setting with E_ALL (recommend E_ALL && E_STRICT) - dont forget to set the PHP-Error Messages to E_NONE after the test
test btw visit all your pages in front- and backend.
If you found error messages, copy this message into a text file - we need then the module version of the used module, if its not a module, delivired with the WB-Package

P.S.1: if you need help, ask for it
P.S.2: i've some WB 2.8.1 and WB 2.8.2 under PHP 5.6.3 and 5.6.15, running without problems in the frontend. in one of the installations i use a old version of the gmap-module. its shows the selected map in the frontend, but its not possible to edit something in the backend

P.S.3: some users recommend a new install for a test in a sub-folder of the running server, but a new install build also new tables in the database with the new settings for database collation etc. A test like this shows not the same result like a upgrade from a working wb, thats way i recommend a test with the actual database
Wer nicht will, findet Gründe, wer will, findet Wege.

 

postern-length